
const OracleService = require('../service/OracleService')

class acmUpdMovCaixaModel {
    constructor() {
        this.GET_ACMUPDMOVCAIXA = `
            UPDATE
               MOVCAIXA
            SET
               IDTIPOMOVIVE = 'C'
            WHERE
               (CDFILIAL   = :P_CDFILIAL  ) AND
               (CDCAIXA    = :P_CDCAIXA   ) AND
               (NRSEQVENDA = :P_NRSEQVENDA)
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ACMUPDMOVCAIXA, params);
        })
    }
}  

module.exports = new acmUpdMovCaixaModel();