
const OracleService = require('../service/OracleService')

class assMovExtratoModel {
    constructor() {
        this.GET_ASSMOVEXTRATO = `
            CDCLIENTE     = :P_CDCLIENTE)    AND
               (CDCONSUMIDOR  = :P_CDCONSUMIDOR) AND
               (CDFAMILISALD  = :P_CDFAMILISALD) AND
               (DTMOVEXTCONS >= :P_DTMOVEXTCONS)
            ORDER BY
                 CDCLIENTE, CDCONSUMIDOR, CDFAMILISALD, DTMOVEXTCONS,  NRSEQMOVEXT
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ASSMOVEXTRATO, params);
        })
    }
}  

module.exports = new assMovExtratoModel();