const OracleService = require('../service/OracleService');

class adqVerifControlSenhaModel {
  constructor() {
    this.GET_ADQVERIFCONTROLSENHA = `
            SELECT
               CDOPERADOR, CDSENHALT, DTALTSENHA
            FROM
               CONTROLSENHA
            WHERE
               (CDOPERADOR = :P_CDOPERADOR) AND
               (CDSENHALT  = :P_CDSENHALT ) AND
               (DTALTSENHA = TIMESTAMP :P_DTALTSENHA)
        `;
  }
  get(params) {
    return OracleService.connect().then((sql) => {
      return OracleService.execute(this.GET_ADQVERIFCONTROLSENHA, params);
    });
  }
}

module.exports = new adqVerifControlSenhaModel();
